# dtlssrtpenc

Encodes SRTP packets with a key received from DTLS

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──GstDtlsSrtpBin
                            ╰──dtlssrtpenc

## Implemented interfaces

    GstChildProxy

## Factory details

Authors: – Patrik Oldsberg patrik.oldsberg@ericsson.com

Classification: – `Encoder/Network/DTLS/SRTP`

Rank – none

Plugin – dtls

Package – GStreamer Bad Plug-ins

## Pad Templates

### `data_sink`

    ANY

Presence – request

Direction – sink

Object type – GstPad

### `rtcp_sink_%d`

    application/x-rtp:
    application/x-rtcp:

Presence – request

Direction – sink

Object type – GstPad

### `rtp_sink_%d`

    application/x-rtp:
    application/x-rtcp:

Presence – request

Direction – sink

Object type – GstPad

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Signals

### on-key-set

    on_key_set_callback (GstElement * param_0,
                         gpointer udata)

    def on_key_set_callback (param_0, udata):
        #python callback for the 'on-key-set' signal

    function on_key_set_callback(param_0: GstElement * param_0, udata: gpointer udata): {
        // javascript callback for the 'on-key-set' signal
    }

Parameters:

`param_0` –
No description available
`udata` –
No description available

Flags: Run Last

## Properties

### connection-state

    “connection-state” GstDtlsConnectionState *

Current connection state

Flags : Read

Default value : closed (1)

### is-client

    “is-client” gboolean

Set to true if the decoder should act as client and initiate the handshake

Flags : Read / Write

Default value : false

### rtp-sync

    “rtp-sync” gboolean

Synchronize RTP to the pipeline clock before merging with RTCP

Flags : Read / Write

Default value : false

## Named constants

### GstDtlsConnectionState

#### Members

`new` (0) – New connection
`closed` (1) – Closed connection on either side
`failed` (2) – Failed connection
`connecting` (3) – Connecting
`connected` (4) – Successfully connected

The results of the search are